<?php

$view

->set('name', 'view')

->set('info', 'demand/data.getInfo')

->set('title', '$info.name')

->import('inc/head') 


->fetch('.header-right a@href', 'main/data.config#index_link')

->fetch('h2', '$info.name')
 
->fetch('.item-price', '$info.price')

->fetch('.cuIcon-warn@dever-send', 'id=<{$info.id}>')
->fetch('.cuIcon-favor@dever-send', 'id=<{$info.id}>')

->fetch('.info-top-desc .text-blue', '$info.user.username')

->fetch(array('.info-top-desc em', 1), '$info.cdate_string')

->fetch(array('.info-top-desc em', 2), '$info.num_view_text')

->fetch('.info-pinbei@style', 'main/data.pinbei#state', 'none')

->fetch('.info-content', '$info.content')

->fetch('.footer-username', '$info.user.username')

->fetch('.footer-img img@src', '$info.user.avatar')

->fetch('.footer-desc', '$info.user.text')

->fetch('#buyInfoPhone a', '$info.user.mobile')

->fetch('#buyInfoPhone a@href', 'tel:<{$info.user.mobile}>')

->loop
(
    '.swipeImgs',
    'demand/data.getInfoPic',
    array
    (
        'self' => array
        (
            'src' => '$v',
        ),
    )
)

->fetch(array('.dev-panel@style', 2), 'demand/data.getInfoPic', 'none')


->loop
(
    '.panel-content .panel-list-item',
    'demand/data.getInfoAttr',
    array
    (
        '.text-gray' => array
        (
            'html' => '$v.name',
        ),
        '.text-blue' => array
        (
            'html' => '$v.value_string',
        ),
        '.panel-list-icons' => array
        (
            'html' => '$v.pic',
            'class--' => 'cuIcon-all',
        ),
    )
)

->fetch(array('script@src', 0),     Dever::assets('hui.js'))

->append('body',    '<script src="'.Dever::assets('lib/jquery/jquery.min.js', 'script').'"></script>')
->append('body',    '<script src="'.Dever::assets('dever/core.js', 'script').'"></script>')
->append('body',    '<script src="'.Dever::assets('config.js').'"></script>')

# display
->display();
